<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_imsenterprise', language 'he_kids', version '2.1'.
 *
 * @package     enrol_imsenterprise
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowunenrol_desc'] = '<p align="center"><b>הוצאה של תלמידיםמורים מהרשימה</b></p>

<p>נתוני ה Enterprise יכולים להוסיף וכמו גם להוציא למרשימות מרחבי־לימוד תלמידים ומורים כאחד. אם ההגדרה הזו מופעלת, אזי מוודל יבצע הוצאות מרשימות (מרחבי־הלימוד) לפי מה שמצוין בנתונים.
</p>

<p>ישנן שלוש דרכים בנתוני ה IMS בהן ניתן להוציא תלמידים מרשימה (של מרחב־לימוד):</p>

<ul><li>אלמנט &lt;חבר&gt; שמציין את התלמיד ומרחב־הלימוד הנתונים, ביחד עם תכונת ה"recstatus" של אלמנט הlt;תפקיד&gt; כאשר היא מכוונת ל 3 (שמשמעותו "מחק"). שימו לב שאפשרות זו עדיין לא ניתנת ליישום בתוך התקן התקע מוודל!! </li>

<li>אלמנט &lt;חבר&gt; שמציין את התלמיד ומרחב־הלימוד הנתונים, ביחד עם אלמנט ה&lt;מצב&gt; כשהוא מכוון ל 0 (שמשמעותו "לא פעיל").</li></ul>

<p>השיטה השלישית שונה במעט. היא לא דורשת הפעלה של הגדרת התצורה הזו, ואפשר להגדיר אותה הרבה לפני תאריך ההוצאה מהרשימה: </p>

<ul><li> אלמנט ה<חבר> שמציין <מסגרת זמן> להרשמה (הכנסה לרשימה), יכול גם לציין את תאריכי ההתחלה ואו הסיום של היות התלמיד המסויים הזה בתוך הרשימה. תאריכים אלה נטענים לתוך טבלת נתוני ההרשמה של מוודל אם היא נוכחת, כך שלאחר תאריך הסיום, תימנע מהתלמיד גישה למרחב־לימוד המסויים ההוא. </li></ul>';
$string['coursesettings'] = 'אפשרויות נתוני מרחב־לימוד';
$string['createnewcategories'] = 'אם הן לא נמצאות במוודל, צור קטגוריות מרחב־לימוד חדשות (מוסתרות).';
$string['createnewcategories_desc'] = '<p align="center"><b>חלוקה אוטומטית לקטגוריות</b></p>

<p>אם מאפיין ה&lt;org&gt;&lt;orgunit&gt; קיים בתוך הנתונים הנכנסים למרחב־לימוד, אזי התוכן שלו ישמש לציון של קטגוריה, אם על מרחב־הלימוד להיבנות מאפס, מההתחלה.
</p>

<p>התקן התקע לא יחלק מחדש לקטגוריות מרחבי־לימוד קיימים.</p>

<p>במקרה שלא קיימת קטגוריה בעלת השם הרצוי, תיווצר קטגוריה מוסתרת.</p>';
$string['createnewcourses'] = 'אם הם לא נמצאים במוודל, צור מרחבי־לימוד חדשים (מוסתרים).';
$string['createnewcourses_desc'] = '<div DIR=RTL LANG=HE>
<p align="center"><b>יצירה אוטומטית של מרחבי־לימוד</b></p>

<p>אם אפשרות זו נבחרה, התקן הרישום IMS Enterprise יכול ליצור מרחבי־לימוד חדשים לכל הנמצא בנתוני ה-IMS אך לא במסד הנתונים של Moodle.</p>

<p>ראשית כל מרחבי־הלימוד נסקרים ע"י מסדר זיהוי שלהם - שדה אלפאנומרי בטבלת מרחבי־הלימוד של Moodleהיכולה לציין את הקוד אשר מזהה את מרחב־הלימוד במערכת מידע לתלמיד (לדוגמה). אם ערך זה לא נמצא, מחפשים בטבלת מרחבי־הלימוד - "תיאור קצר" המהווה זיהוי קצר של מערכת Moodle המוצג באיזור "מסלול ההצבעה" (בכמה מערכות 2 שדות אלו יכולים להיות זהים). רק כאשר חיפוש זה נכשל יכול ההתקן באופן אופציונאלי ליצור מרחבי־לימוד חדשים.

<p>כל מרחבי־הלימוד החדשים מוסתרים כאשר נוצרו. זאת בכדי למנוע מתלמידים להגיע למרחבי־לימוד ריקים לגמרי כאשר המרצה שלהם עלול לא להיות מודע לכך</p>
</div>';
$string['truncatecoursecodes'] = 'קצץ את הקודים של מרחב־הלימוד לאורך הזה';
$string['truncatecoursecodes_desc'] = '<p align="center"><b>קצץ את הקודים של מרחב־הלימוד</b></p>
<p>במצבים מסויימים יכול להיות שתרצו לקצץ קודים של מרחבי־לימוד לאורך מסויים, לפני שאתם מעבדים אותם. אם זהו המצב, הכניסו את מספר התווים בקופסא זו. אחרת, השאירו את הקופסה הזו <strong>ריקה</strong>, כך שלא יתרחש כל קיצוץ.
</p>';
$string['usecapitafix_desc'] = '<div DIR=RTL LANG=HE>
<p align="center"><b>Capita</b></p>
<p>במערכת המידע של התלמיד אשר נוצרה ע"י Capita נמצאה שגיאה קלה בפלט ה-XML שלה. אם הינך משתמש ב-Capita כדאי שתאפשר את הפעלת אפשרות זו - אחרת השאר אותה לא מסומנת</p>
</div>';
