<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'he_kids', version '2.1'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['autocreate'] = 'ניתן ליצור מרחבי־לימוד באופן אוטומטי אם יש הרשמות למרחב־לימוד שעדיין לא קיים במוודל.';
$string['autocreation_settings'] = 'הגדרות יצירה אוטומטית של מרחבי־לימוד';
$string['category'] = 'הקטגוריה למרחבי־לימוד שנוצרו באופן אוטומטי';
$string['course_idnumber'] = 'מפה לזיהוי הייחודי ב-LDAP, לרוב:
<em>cn</em> או <em>uid</em>.
מומלץ לנעול את הערך במידה ואתם משתמשים ביצירה אוטומטית של מרחבי־לימוד.';
$string['course_settings'] = 'הגדרות הרשמה למרחב־לימוד';
$string['extcourseidinvalid'] = 'מספר ה-ID של מרחב־הלימוד לא תקין.';
$string['objectclass'] = 'objectClass בו משתמשים כדי לחפש במרחבי־לימוד. לרוב:
\'posixGroup';
$string['pluginname_desc'] = '<p>כדי לשלוט בהירשמויות שלכם אתם יכולים להשתמש בשרת LDAP.
אנו מניחים כי עץ ה-LDAP שלכם מכיל קבוצות שממפות אל עבר מרחבי־הלימוד, ושכל אחתד מהקבוצותמרחבי־לימוד הללו יהיו בעלי רשומות חברות שימפו לתלמידים.</p>
<p>אנו יוצאים מנקודת הנחה שמרחבי־הלימוד ב- LDAP מוגדרים כקבוצות כשלכל קבוצה יש שדות חברות מרובים (<em>member</em> או<em>memberUid</em>) שמכילים זיהוי הייחודי למשתמש.</p>
<p>בכדי להשתמש בהרשמת LDAP, <strong>חובה</strong> על המשתמשים שלכם  להיות בעלי שדה מספר זיהוי תקף.
על מנת שהמשתמש יהיה רשום למרחב־לימוד חובה שלקבוצות ה-LDAP יהיה את מספר הזיהוי שמופיע בשדות החבר. על פי רוב הדבר יעבוד ללא כל בעיה במידה ואתם כבר משתמשים באימות LDAP .</p>
<p>ההרשמות יעודכנו כאשר המשתמש יתחבר למערכת. בנוסף אתם יכולים להריץ קובץ אצווה כדי לשמור על ההרשמות מסונכרנות.
 הסתכלו ב-
<em>enrol/ldap/enrol_ldap_sync.php</em>.</p>
<p>בנוסף ניתן להגדיר את התקן תקע זה  ליצור מרחבי־לימוד אוטומטית כאשר קבוצות חדשות מופיעות ב- LDAP.</p>';
$string['template'] = 'לבחירתכם: מרחבי־לימוד שנוצרו באופן אוטומטי יכולים להעתיק את ההגדרות שלהם ממרחב־לימוד-תבנית.';
