<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'he_kids', version '2.1'.
 *
 * @package     report_security
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_defaultuserrole_details'] = '<p>לכל המשתמשים המחוברים למערכת ניתנו יכולות של משתמש ברירת המחדל. יש להבטיח שיכולות מסוכנות לא מורשות לתפקיד זה. </p> <p> הירושה היחידה הנתמכת למשתמש ברירת המחדל היא <em> משתמש מאומת (Authenticated)  </em>. אין לאפשר יכולות צפיה במרחב־לימוד.</p>';
$string['check_google_details'] = '<p>  פתיחה להגדרות של Google מאפשרת למנועי החיפוש להגיע למרחבי־לימוד עם הרשאת אורחים. אין טעם לאפשר הגדרה זו אם גישת האורחים איננה מאופשרת במרחב־לימוד. </p>';
$string['check_guestrole_details'] = '<p> תפקיד האורחים משמש אורחים ולא משתמשים שנרשמו למערכת והרשאות שמניות למרחבי־לימוד לאורחים. יש לוודא כי יכולות מסוכנות לא מאופשרות בתפקיד זה. </p> <p> התפקיד היחידי הנתמך כתפקיד האורח הוא <em>אורח</em>
</p>';
$string['check_riskbackup_details_users'] = '<p>משום מה שנאמר לעיל או מפאת עקיפות מקומיות יש למשתמשים הבאים את היכולת לבצע גיבוייםהכוללים מידע פרטי מכל המשתמשים הרשומים למרחבי־לימוד שלהםץ יש לוודא כי הם (1) אמינים ו-(2) מוגנים על ידי סיסמאות חזקות: {$a}
</p>';
